Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.tools
Class CommandTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.ode.tools.CommandTask

All Implemented Interfaces:
  CommandContext

Direct Known Subclasses:
  BpelCTask

    public abstract class CommandTask

extends org.apache.tools.ant.Task
implements CommandContext

Base `Task` that implements `CommandContext`. This is extended by other `Task` implementations that serve as `Command` wrappers.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CommandTask()`

Method Summary
`void` | `debug(java.lang.String s)` Log an debug-level message.
`void` | `debug(java.lang.String s, java.lang.Throwable t)` Log a debug-level message that resulted from a `Throwable`.
`void` | `errln(java.lang.String s)` Send a line of output to the equivalent of standard error.
`void` | `error(java.lang.String s)` Log an error.
`void` | `error(java.lang.String s, java.lang.Throwable t)` Log an error that resulted from a `Throwable`.
`void` | `info(java.lang.String s)` Log an informative message.
`void` | `info(java.lang.String s, java.lang.Throwable t)` Log an informative message that resulted from a `Throwable`.
`void` | `out(java.lang.String s)` Send output to the equivalent of standard out.
`void` | `outln(java.lang.String s)` Send a line of output to the equivalent of standard out.
`void` | `warn(java.lang.String s)` Log a warning.
`void` | `warn(java.lang.String s, java.lang.Throwable t)` Log a warning that resulted from a `Throwable`

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandTask

    public CommandTask()

Method Detail

### outln

    public void outln(java.lang.String s)

  Description copied from interface: `CommandContext`
  Send a line of output to the equivalent of standard out.

  Specified by:
    `outln` in interface `CommandContext`
  Parameters:
    `s` - the content to send.

### out

    public void out(java.lang.String s)

  Description copied from interface: `CommandContext`
  Send output to the equivalent of standard out. Note that this is not required to be pretty if it's not on a console, i.e., multiple invocations might not appear on a single line.

  Specified by:
    `out` in interface `CommandContext`
  Parameters:
    `s` - the content to send.

### errln

    public void errln(java.lang.String s)

  Description copied from interface: `CommandContext`
  Send a line of output to the equivalent of standard error.

  Specified by:
    `errln` in interface `CommandContext`
  Parameters:
    `s` - the content to send.

### error

    public void error(java.lang.String s)

  Description copied from interface: `CommandContext`
  Log an error.

  Specified by:
    `error` in interface `CommandContext`
  Parameters:
    `s` - a descriptive message.

### error

    public void error(java.lang.String s,
                      java.lang.Throwable t)

  Description copied from interface: `CommandContext`
  Log an error that resulted from a `Throwable`.

  Specified by:
    `error` in interface `CommandContext`
  Parameters:
    `s` - a descriptive message.
    `t` - the cause.

### warn

    public void warn(java.lang.String s,
                     java.lang.Throwable t)

  Description copied from interface: `CommandContext`
  Log a warning that resulted from a `Throwable`

  Specified by:
    `warn` in interface `CommandContext`

### warn

    public void warn(java.lang.String s)

  Description copied from interface: `CommandContext`
  Log a warning.

  Specified by:
    `warn` in interface `CommandContext`
  Parameters:
    `s` - a descriptive message.

### info

    public void info(java.lang.String s)

  Description copied from interface: `CommandContext`
  Log an informative message.

  Specified by:
    `info` in interface `CommandContext`
  Parameters:
    `s` - a descriptive message.

### info

    public void info(java.lang.String s,
                     java.lang.Throwable t)

  Description copied from interface: `CommandContext`
  Log an informative message that resulted from a `Throwable`.

  Specified by:
    `info` in interface `CommandContext`
  Parameters:
    `s` - a descriptive message.
    `t` - the cause.

### debug

    public void debug(java.lang.String s,
                      java.lang.Throwable t)

  Description copied from interface: `CommandContext`
  Log a debug-level message that resulted from a `Throwable`.

  Specified by:
    `debug` in interface `CommandContext`
  Parameters:
    `s` - a descriptive message.
    `t` - the cause.

### debug

    public void debug(java.lang.String s)

  Description copied from interface: `CommandContext`
  Log an debug-level message.

  Specified by:
    `debug` in interface `CommandContext`
  Parameters:
    `s` - a descriptive message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD